首页 > 网络技巧 > 【紧急】Linux glibc幽灵漏洞检测及修复方案
2015
01-30

【紧急】Linux glibc幽灵漏洞检测及修复方案

昨日Linux glibc库曝出高危缓冲区溢出漏洞GHOST(幽灵),漏洞CVE编号为CVE-2015-0235,通过该漏洞,攻击者可以远程获取linux服务器的最高控制权限。glibc是linux系统中最底层的API,几乎其它运行库都会依赖于glibc,因此该漏洞的危害巨大,众多linux发行版本将受影响。漏洞发现者已经利用该漏洞,成功远程获取了一台邮件服务器的最高权限,并称该漏洞将会有更大的影响,Redhat在昨日发布的紧急安全通告里,也将该漏洞定义为“高危”。

【紧急】Linux glibc幽灵漏洞检测及修复方案 - 第1张  | 意林笔记

受影响操作系统版本
CentOS 6 、7
Debian 7
Red Hat Enterprise Linux 6 、 7
Ubuntu 10.04 、12.04
等众多使用glibc库2.2-2.17版本的Linux发行版本

解决方案一:执行glibc升级命令
RH、Fedora、CentOS系统:
yum install glibc && reboot
Debian、Ubuntu系统:
apt-get clean && apt-get update && apt-get upgrade

解决方案二:安装linux版安全软件
目前还没有补丁的linux版本建议尽快安装云锁(免费的linux安全软件很好用),打完补丁的用户也建议部署云锁,加固服务器安全。

该软件的防护机制:通过内核虚拟安全域技术,控制网站权限,将WEB及数据库进程放置在受控安全域内,限制其权限,有效降低漏洞风险,阻止攻击者通过幽灵漏洞提权。同时云锁采用内核级安全防护技术与web访问控制技术向结合,能有效防御病毒、木马、webshell、后门等恶意代码和CC攻击、Sql注入、XSS跨站攻击、网页篡改、挂黑链等黑客行为,有效保护服务器和网站安全。

云锁Linux版下载地址:
http://www.yunsuo.com.cn/ht/software/
或者直接按照官方提供的安装教程wget安装:
http://www.yunsuo.com.cn/help/center#/qs/qs-03

最后编辑:
作者:意林
站长意林,一名80后全职普通上班族,旗下提供HelloIDC免费空间等业务。
捐 赠如果感觉本站不错,请尝试捐助一下,1块也不少!

留下一个回复

你的email不会被公开。